D4Science Infrastructure - Task #5146

Reloading Tomcat classpath
Sep 26, 2016 03:23 PM - Gianpaolo Coro

Status: Closed

Priority: Normal

Assignee: Andrea Dell'Amico
Category: High-Throughput-Computing

Target version: Dataminer and StatMan provisioning

Infrastructure: Development, Production

Start date: Sep 26, 2016
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

In order to move towards a fully automatic installation of the Dataminer algorithms, the classpath of a Tomcat service should be
reloaded, instead of restarting the service at each algorithm installation. According to what | have read, it would be better to do this

by invoking the Tomcat reloading application.

There are other methods, i.e. the ones listed here https://www.mulesoft.com/tcat/tomcat-reload, but | would go for one solution that

fits both the development and the production environment and the best is the reloading application.
Further information can be also found in the Tomcat guide (https://tomcat.apache.org/tomcat-7.0-doc/manager-howto.html), in the

"Reload An Existing Application" section.

Is it possible to have the management application installed on our Tomcats?

| would like to make tests on the devNext Dataminer

History

#2 - Oct 07, 2016 05:01 PM - Pasquale Pagano

- Tracker changed from Support to Task

#3 - Jan 21, 2017 12:36 AM - Andrea Dell'Amico
- Status changed from New to Closed

- % Done changed from 0 to 100

A different solution has been chosen. Feel free to reopen it if it's the case.
